#include<bits/stdc++.h>

using namespace std;

int main(){
    long long n, m;
    char a, b;
    cin >> a >> b >> n >> m;
    if(n - 1  == m){
        for(long long i = 0 ; i < m ; i++){
            cout << a << b;
        }
        cout << a;
    }
    else if(m - 1 == n){
        for(long long i = 0 ; i < n ; i++){
            cout << b << a;
        }
        cout << b;
    }
    else if(n == m){
        for(long long i = 0 ; i < n ; i++){
            cout << a << b;
        }
    }
    else{
        cout << "nemoguce";
    }
    return 0;
}